package com.sf.day09.sort;

public class Son extends Father{
    private Integer id;

    static {
        System.out.println("我是  子类  中的  静态  代码块");
    }

    {
        System.out.println("我是 子类  中的  实例   代码块");
    }

    public Son() {
        System.out.println("我是子类无参构造器");
    }

    public Son(String FName, Integer id) {
        super(FName);
        this.id = id;
        System.out.println("我是子类有参构造器");
    }


    public static void main(String[] args) {
        Son son = new Son();
    }
}
